Get a member
curl --request GET \
--url https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"githubUserId": "<string>",
"githubLogin": "<string>",
"workEmail": "<string>",
"role": "member",
"seat": true,
"isBot": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Members
Get a member
GET
/
api
/
v1
/
organizations
/
{org}
/
members
/
{githubUserId}
Get a member
curl --request GET \
--url https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.cubic.dev/api/v1/organizations/{org}/members/{githubUserId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"githubUserId": "<string>",
"githubLogin": "<string>",
"workEmail": "<string>",
"role": "member",
"seat": true,
"isBot": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Read the member’s current state before updating their seat or role.
Authorizations
Your personal cubic API key from Settings > Integrations > cubic API. It starts with cbk_.
Path Parameters
GitHub organization login, such as acme.
Required string length:
1 - 255Numeric GitHub user ID of the member.
Pattern:
^\d{1,20}$Was this page helpful?